aagc.vo

## Class PropriaPosizioneAnagraficaResponse

- java.lang.Object
- - aagc.vo.PropriaPosizioneAnagraficaResponse

-     public class PropriaPosizioneAnagraficaResponse
      extends java.lang.Object

  Classe Java per propriaPosizioneAnagraficaResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="propriaPosizioneAnagraficaResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="aslConvenzione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codFiscale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codIstatComuneConvenzione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codRuolo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codTipoIncarico" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="cognome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataFine" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="dataInizio" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="dataNascita" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="descComuneConvenzione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="distretto" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="nome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `aslConvenzione`
    `protected java.lang.String` | `codFiscale`
    `protected java.lang.String` | `codIstatComuneConvenzione`
    `protected java.lang.String` | `codRuolo`
    `protected java.lang.String` | `codTipoIncarico`
    `protected java.lang.String` | `cognome`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataFine`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataInizio`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataNascita`
    `protected java.lang.String` | `descComuneConvenzione`
    `protected int` | `distretto`
    `protected java.lang.String` | `nome`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropriaPosizioneAnagraficaResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAslConvenzione()` Recupera il valore della proprietà aslConvenzione.
    `java.lang.String` | `getCodFiscale()` Recupera il valore della proprietà codFiscale.
    `java.lang.String` | `getCodIstatComuneConvenzione()` Recupera il valore della proprietà codIstatComuneConvenzione.
    `java.lang.String` | `getCodRuolo()` Recupera il valore della proprietà codRuolo.
    `java.lang.String` | `getCodTipoIncarico()` Recupera il valore della proprietà codTipoIncarico.
    `java.lang.String` | `getCognome()` Recupera il valore della proprietà cognome.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataFine()` Recupera il valore della proprietà dataFine.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataInizio()` Recupera il valore della proprietà dataInizio.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataNascita()` Recupera il valore della proprietà dataNascita.
    `java.lang.String` | `getDescComuneConvenzione()` Recupera il valore della proprietà descComuneConvenzione.
    `int` | `getDistretto()` Recupera il valore della proprietà distretto.
    `java.lang.String` | `getNome()` Recupera il valore della proprietà nome.
    `void` | `setAslConvenzione(java.lang.String value)` Imposta il valore della proprietà aslConvenzione.
    `void` | `setCodFiscale(java.lang.String value)` Imposta il valore della proprietà codFiscale.
    `void` | `setCodIstatComuneConvenzione(java.lang.String value)` Imposta il valore della proprietà codIstatComuneConvenzione.
    `void` | `setCodRuolo(java.lang.String value)` Imposta il valore della proprietà codRuolo.
    `void` | `setCodTipoIncarico(java.lang.String value)` Imposta il valore della proprietà codTipoIncarico.
    `void` | `setCognome(java.lang.String value)` Imposta il valore della proprietà cognome.
    `void` | `setDataFine(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataFine.
    `void` | `setDataInizio(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataInizio.
    `void` | `setDataNascita(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataNascita.
    `void` | `setDescComuneConvenzione(java.lang.String value)` Imposta il valore della proprietà descComuneConvenzione.
    `void` | `setDistretto(int value)` Imposta il valore della proprietà distretto.
    `void` | `setNome(java.lang.String value)` Imposta il valore della proprietà nome.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### aslConvenzione

          protected java.lang.String aslConvenzione

    - #### codFiscale

          protected java.lang.String codFiscale

    - #### codIstatComuneConvenzione

          protected java.lang.String codIstatComuneConvenzione

    - #### codRuolo

          protected java.lang.String codRuolo

    - #### codTipoIncarico

          protected java.lang.String codTipoIncarico

    - #### cognome

          protected java.lang.String cognome

    - #### dataFine

          protected javax.xml.datatype.XMLGregorianCalendar dataFine

    - #### dataInizio

          protected javax.xml.datatype.XMLGregorianCalendar dataInizio

    - #### dataNascita

          protected javax.xml.datatype.XMLGregorianCalendar dataNascita

    - #### descComuneConvenzione

          protected java.lang.String descComuneConvenzione

    - #### distretto

          protected int distretto

    - #### nome

          protected java.lang.String nome

  - ### Constructor Detail

    - #### PropriaPosizioneAnagraficaResponse

          public PropriaPosizioneAnagraficaResponse()

  - ### Method Detail

    - #### getAslConvenzione

          public java.lang.String getAslConvenzione()

      Recupera il valore della proprietà aslConvenzione.
      Returns:
        possible object is `String`

    - #### setAslConvenzione

          public void setAslConvenzione(java.lang.String value)

      Imposta il valore della proprietà aslConvenzione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

      Recupera il valore della proprietà codFiscale.
      Returns:
        possible object is `String`

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String value)

      Imposta il valore della proprietà codFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodIstatComuneConvenzione

          public java.lang.String getCodIstatComuneConvenzione()

      Recupera il valore della proprietà codIstatComuneConvenzione.
      Returns:
        possible object is `String`

    - #### setCodIstatComuneConvenzione

          public void setCodIstatComuneConvenzione(java.lang.String value)

      Imposta il valore della proprietà codIstatComuneConvenzione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodRuolo

          public java.lang.String getCodRuolo()

      Recupera il valore della proprietà codRuolo.
      Returns:
        possible object is `String`

    - #### setCodRuolo

          public void setCodRuolo(java.lang.String value)

      Imposta il valore della proprietà codRuolo.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodTipoIncarico

          public java.lang.String getCodTipoIncarico()

      Recupera il valore della proprietà codTipoIncarico.
      Returns:
        possible object is `String`

    - #### setCodTipoIncarico

          public void setCodTipoIncarico(java.lang.String value)

      Imposta il valore della proprietà codTipoIncarico.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognome

          public java.lang.String getCognome()

      Recupera il valore della proprietà cognome.
      Returns:
        possible object is `String`

    - #### setCognome

          public void setCognome(java.lang.String value)

      Imposta il valore della proprietà cognome.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFine

          public javax.xml.datatype.XMLGregorianCalendar getDataFine()

      Recupera il valore della proprietà dataFine.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataFine

          public void setDataFine(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataFine.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataInizio

          public javax.xml.datatype.XMLGregorianCalendar getDataInizio()

      Recupera il valore della proprietà dataInizio.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataInizio

          public void setDataInizio(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataInizio.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataNascita

          public javax.xml.datatype.XMLGregorianCalendar getDataNascita()

      Recupera il valore della proprietà dataNascita.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataNascita

          public void setDataNascita(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataNascita.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDescComuneConvenzione

          public java.lang.String getDescComuneConvenzione()

      Recupera il valore della proprietà descComuneConvenzione.
      Returns:
        possible object is `String`

    - #### setDescComuneConvenzione

          public void setDescComuneConvenzione(java.lang.String value)

      Imposta il valore della proprietà descComuneConvenzione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDistretto

          public int getDistretto()

      Recupera il valore della proprietà distretto.

    - #### setDistretto

          public void setDistretto(int value)

      Imposta il valore della proprietà distretto.

    - #### getNome

          public java.lang.String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          public void setNome(java.lang.String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`